Skip to main content
GET
/
firework
/
v4
/
matching_policies
/
by_identifier_id
/
{identifier_id}
List Matching Policies By Identifier Id
curl --request GET \
  --url https://api.flare.io/firework/v4/matching_policies/by_identifier_id/{identifier_id} \
  --header 'Authorization: Bearer <token>'
[
  {
    "matching_policy": {
      "uuid": "<string>",
      "name": "<string>",
      "policy_type": "INCLUDED_KEYWORDS",
      "value": {
        "keywords": [
          "<string>"
        ]
      },
      "created_at": "2023-11-07T05:31:56Z",
      "last_updated_at": "2023-11-07T05:31:56Z"
    },
    "assigned_at": "2023-11-07T05:31:56Z",
    "clean_past_events": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt

Use this file to discover all available pages before exploring further.

The endpoint is still in beta and is subject to change.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

identifier_id
integer
required

Response

Successful Response

matching_policy
MatchingPolicyPayload · object
required
assigned_at
string<date-time>
required

The date and time this policy was assigned to the identifier

clean_past_events
boolean
required

Whether this policy has been applied to historical events